Skip to main content
GET
/
v1
/
orgs
/
{orgName}
/
channels
/
{channelSlug}
/
rfqs
cURL
curl --request GET \
  --url https://api.connect.bluelayer.tech/v1/orgs/{orgName}/channels/{channelSlug}/rfqs \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "listingIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "state": "closed",
      "number": 123,
      "reference": "<string>",
      "buyerDescription": "<string>",
      "contractType": "spot",
      "fulfilmentMethod": "transfer",
      "fulfilmentDueDate": "2026-01-20",
      "minVolume": 123,
      "maxVolume": 123,
      "reportingPeriodStart": "2026-01-20",
      "reportingPeriodEnd": "2026-01-20",
      "minVintageYear": "Any",
      "maxVintageYear": 2020,
      "pricing": {
        "minUnitPrice": 123,
        "maxUnitPrice": 123,
        "currency": "USD"
      },
      "additionalRequirements": "<string>",
      "responses": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "listingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "reasonForPurchase": "buyToRetire",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "openedAt": "2026-01-20T10:00:00.005Z",
      "closedAt": "2026-01-20T10:00:00.005Z",
      "responseDueDate": "2023-12-25"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

orgName
string
required
channelSlug
string
required

Query Parameters

state
enum<string>
Available options:
open,
closed
reference
string

Response

Default Response

items
object[]
required